%define oversion	127

Name:		eureka
Version:	1.27
Release:	%mkrel 2
Summary:	A cross-platform map editor for the classic DOOM games
Group:		Editors
License:	GPLv2
URL:		http://eureka-editor.sourceforge.net/
Source0:	http://sourceforge.net/projects/eureka-editor/files/Eureka/%{version}/%{name}-%{oversion}-source.tar.gz
Patch0:		eureka-1.27-Makefile.patch
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)

%description
Eureka is a cross-platform map editor for the classic DOOM games.

It started when the ported the Yadex editor to a proper GUI toolkit, namely
FLTK, and implemented a system for multi-level Undo / Redo. These and other
features have required rewriting large potions of the existing code, and adding
lots of new code too. Eureka is now an independent program with its own
work-flow and its own quirks.

%prep
%setup -q -n %{name}-%{version}-source
%autopatch -p1

%build
%make_build OPTIMISE="%{optflags}"

%install
%make_install

%files
%doc AUTHORS.txt CHANGES.txt README.txt TODO.txt docs/*
%license GPL.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man6/%{name}.6.*


%changelog
* Thu Feb 20 2020 umeabot <umeabot> 1.27-2.mga8
+ Revision: 1547006
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 daviddavid <daviddavid> 1.27-1.mga8
+ Revision: 1487472
- new version: 1.27

* Sun Sep 23 2018 umeabot <umeabot> 1.24-2.mga7
+ Revision: 1297633
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 1.24-1.mga7
+ Revision: 1248377
- new version: 1.24
- rename and rediff Makefile patch

* Sun Jan 15 2017 daviddavid <daviddavid> 1.21-1.mga6
+ Revision: 1081851
- new version: 1.21
- rename and rebase Makefile patch

* Tue Jan 26 2016 daviddavid <daviddavid> 1.11-1.mga6
+ Revision: 927949
- new version: 1.11
- rename and rediff Makefile patch

* Mon Nov 09 2015 daviddavid <daviddavid> 1.07-1.mga6
+ Revision: 900022
- imported package eureka

